Subject: Re: [PATCH v2 0/4] add ref content check for files backend

From: shejialuo <[email-masked]>
Date: Thu, 29 Aug 2024 23:48:02 +0800

On Wed, Aug 28, 2024 at 09:59:58PM -0700, Junio C Hamano wrote:
> Jeff King <[email-masked]> writes:
> 
> > As an aside, I wonder if we should consider deprecating and eventually
> > dropping support for core.prefersymlinkrefs. I can't think of a reason
> > anybody would want to use it, and of course it makes no sense as we move
> > on to alternate backends like reftables.
> 
> Yup.  Perhaps add an entry or two to BreakingChanges document?
> 
>  Documentation/BreakingChanges.txt | 6 ++++++
>  1 file changed, 6 insertions(+)
> 
> diff --git c/Documentation/BreakingChanges.txt w/Documentation/BreakingChanges.txt
> index 0532bfcf7f..2a85740f3c 100644
> --- c/Documentation/BreakingChanges.txt
> +++ w/Documentation/BreakingChanges.txt
> @@ -115,6 +115,12 @@ info/grafts as outdated, 2014-03-05) and will be removed.
>  +
>  Cf. <[email-masked]>.
>  
> +* Support for core.prefersymlinkrefs will be dropped.  Support for
> +  existing repositories that use symbolic links to represent a
> +  symbolic ref may or may not be dropped.
> ++
> +Cf. <[email-masked]>
> +
>  == Superseded features that will not be deprecated
>  
>  Some features have gained newer replacements that aim to improve the design in

>From my current understanding, I think I need to rebase two patches
provided by your here:

  https://lore.kernel.org/git/[email-masked]/
  https://lore.kernel.org/git/[email-masked]/

I think in this patch, we just info the user that we will drop
"core.prefersymlinkrefs" later, so I should not concern about this
patch and also the [PATCH 8/6].

Thanks,
Jialuo